VPS_USER = debian
VPS_HOST = sleepeesoftware.fr
SSH_PORT = 54634
VPS_PATH = /var/www/website

.PHONY: deploy

server:
	go run server.go | cat &

deploy:
	@echo "📤 Pushing production to gitea..."
	git add .
	git commit -m "deploying"
	git push origin production
	ssh $(VPS_USER)@$(VPS_HOST) -p $(SSH_PORT) "cd $(VPS_PATH) && git checkout production && git pull origin production"
	@echo "✅ Deployment done!"


sync:
	ssh $(VPS_USER)@$(VPS_HOST) -p $(SSH_PORT) "cd $(VPS_PATH) && git checkout production && git pull origin production"
